import { Component, isDevMode} from '@angular/core';
import {LoginService} from './services/login.service';
import {Router} from '@angular/router';

// TODO: add multiple samples at once
// TODO: guess properties from material name
// TODO: validation: VZ, Humidity: min/max value, DPT: filename
// TODO: filter by not completely filled/no measurements
// TODO: account
// TODO: admin user handling, template pages, validation of samples
// TODO: activate filter on start typing

// TODO: Build IconComponent free lib version because of CSP
// TODO: more helmet headers, UI presentatin plan
// TODO: sort material numbers, filter field measurements
// TODO: get rid of chart.js (+moment.js) and lodash
// TODO: look into CSS/XHR/Anfragen tab of console

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent {

  constructor(
    public loginService: LoginService,
    private router: Router
  ) {
  }

  get devMode() {
    return isDevMode();
  }

  logout() {
    this.loginService.logout();
    this.router.navigate(['/']);
  }
}
